Skip to Content

Delete a mailbox note

Deletes a note. Only the note's author may. Request: DELETE /v1/mailboxes/{id}/threads/{threadId}/notes/{noteId}. Scope: mailboxes:update.

DELETE
/v1/mailboxes/{id}/threads/{threadId}/notes/{noteId}

Deletes a note. Only the note's author may.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^mbx_[0-9a-hjkmnp-tv-z]{16,24}$
threadId*string
Match^thread_[0-9a-hjkmnp-tv-z]{16,24}$
noteId*string
Match^note_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

SuccessResponse

application/json
  1. response
success*boolean
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.mailboxes.deleteNote({
  "id": "example",
  "threadId": "example",
  "noteId": "example"
});
Example Response
{
  "success": true
}

Related documentation